html {
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    margin: 0;
    padding: 0 !important;
    font-family: "Lora", serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    overflow-x: hidden;
}

.spl-font {
    font-family: "Lobster Two", sans-serif;
}

img {
    width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
}

ul {
    margin: 0;
    padding: 0;
}

ul li {
    list-style: none;
}

a,
a:hover {
    text-decoration: none;
    color: white;
}

.all-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* header section start */

.header-design {
    text-align: center;
}

.navbar-brand img{
    max-width: 100px;
}

.deffender {
    max-width: 163px;
}

.deffender-1 {
    max-width: 106px;
}

/* next header section start */


.next-background {
    background-color: #147DC1;
    height: 60px;
}

.next-header-2 {
    display: flex;
    text-align: center;
    justify-content: center;
    padding: 17px;
    font-size: 18px;
    color: white !important;
    text-shadow: -3px 1px 3px black;
    font-family: math;
}


.design-1 li a{
    margin: 0 0 0 45px;
}

.before-design::before {
    content: "";
    display: inline-block;
    width: 2px;
    height: 15px;
    background-color: black;
    margin: 0 0 0 21px;
    align-self: center;
}

.design-1 a:hover {
    color: #14ee14;
    transition: 0.3s;
}

/* banner section */
.margin-30px{
    margin-top: 62px;
    margin-bottom: 43px;
}

.backgound img {
    height: 412px;
    width: 412px !important;
}

.backgound-1 img {
    height: 412px;
    width: 412px !important;
}

.backgound-2 img {
    height: 412px;
    width: 350px !important;
}

.side-style {
    display: flex;
    justify-content: flex-end;
    margin: 32px;
    color:#960797;
    text-shadow: -1px 1px 0px black;
}

.all-center h4{
    font-weight: bold;
}

@media only screen and (min-width:1401px){
    .backgound img {
        margin: 0px 0 0 275px;
}

    .backgound-1 img {
        margin: 0px 0 0 275px;
}

    .backgound-2 img {
        margin: 0px 0 0 275px;
}
}

/* An Ios section */

.width-div {
    display: block;
    max-width: 100%;
    height: 50px;
    background-color: #ff7722;
}

.iso-design {
    display: flex;
    justify-content: center;
    align-items: center;
    padding:7px;
}

.width-div-2 {
    display: block;
    max-width: 100%;
    height: 50px;
    background-color: #328101;
}

/* Welcome design */

.welcome-design h1 {
    font-weight: 900;
    color: #eb8400;
    font-style: italic;
    font-family: sans-serif;
}

.welcome-design p {
    font-size: 25px;
    font-family: 'Lobster Two';
    padding-top: 8px;
}

.after-before h5 {
    padding: 0 10px;
}

.after-before span::after{
    content: "";
    display: inline-block;
    background-color: #8d2929e8;
    width: 100%;
    max-width: 15%;
    height: 5px;
}

.after-before span::before{
    content: "";
    display: inline-block;
    background-color: #8d2929e8;
    width: 100%;
    max-width: 15%;
    height: 5px;
}

.p-design p{
    text-align: center;
    font-size: 25px;
    padding-top: 7px;
    font-family: 'Lobster Two';
}

/* Contact Section */

.background-design {
    background-image: url(images/background\ img.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 227px;
}

.contact-de {
    padding-top: 41px;
}

.d-flex {
    justify-content: space-around;
    padding-top: 20px;
}

.d-flex p {
    background-color: #107dbd;
    color: white;
    font-weight: bold;
    width: 560px;
    text-align: center;
    margin-bottom: 0 !important;
    padding: 5px;
}

/* Student Information */

.student-in {
    font-family: 'Lobster Two';
    font-size: 24px;
    padding-top: 6px;
}

.student-de {
    box-shadow: 0px 0px 13px #bfbfbf;
    border-radius: 0%;
    height: 224px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-top: 8px;
}

.student-de lable {
    font-size: 20px;
    font-weight: bold;
}


.student-de-1 {
    text-align: center;
    padding-top: 23px;
}

.student-de-1 input {
    width: 680px;
    text-align: center;
    height: 40px;
    border: none;
    background-color: #ededed;
}

.student-de-2 {
    margin-top: 23px;
    width: 268px;
}

.botton-star:hover{
    color: yellow;
    font-style: italic;
    font-size: 18px;
}

.d-design {
    display: flex;
    justify-content: center;
    align-items: center;
}

.student-de-1 :hover {
    box-shadow: 0 0 10px greenyellow;
    border-color: #bfbfbf;
}

/* Contact  */

.from-de {
    box-shadow: 0 0 10px lightgreen;
    width: 896px;
    height: 330px;
    padding: 15px;
}


.text-de lable {
    font-size: 20px;
}

.design-mast {
    background: repeating-linear-gradient(45deg, black, transparent 100px);
    color: skyblue;
    font-weight: bold;
    font-size: 22px;
}

.padding-15 {
    padding-top: 15px;
}
.width-600 input,textarea{
    width: 100%;
}

/* Admission  */

.design-mast-1 {
    color: white;
    font-weight: bold;
    font-size: 22px;
}

.design-mast-1:hover {
    text-decoration:underline dotted red;
    color: #ddff00;
    
}

.margin-30px-1{
    margin-top: 30px;
    margin-bottom: 30px;
}


/* notice html */

.margin-design {
    margin-top: 113px;
    margin-bottom: 113px;
}

.notice-board {
    padding: 69px;
    font-size: 17px;
    box-shadow: 0 0 5px;
    border-radius: 5px;
}

.notice-board ul li {
    list-style: disc;
}

.padding-20 {
    padding-top: 20px;
}

.text-animated {
       text-transform: uppercase;
        background: linear-gradient(to right, #33B7FF 10%, #BD23FF 50%, #FCFF33 60%);
        background-size: auto auto;
        background-size: 200% auto;
        background-clip: text;
        -webkit-background-clip:text;
        -webkit-text-fill-color:transparent;
        animation: textclip 1.5s linear infinite;
    }
    @keyframes textclip {
        to{
            background-position: 200% center;
        }
}


/* student html */

.margin-design-2 {
    margin-top: 100px;
    margin-bottom: 100px;
}

.student-design {
    box-shadow: 0 0 5px;
    padding: 176px;
}

.style-ms {
    margin-top: 28px;
    border-radius: 500px;
    background-color: #1cad1c;
    font-size: 20px;
    height: 45px;
    padding-top: 19px;
}

.style-mst {
    border-radius: 500px;
    background-color: #78bad5;
    font-size: 20px;
    height: 45px;
    padding-top: 19px;
}

.style-mst a:hover {
    text-decoration: underline;
    color: black !important;
}

.style-ms a:hover {
    text-decoration: underline;
    color: #000000 !important;;
}

.student-design {
    background-image: url(images/background\ img.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 479px;
}

/* exam html page */

.exam-page-design {
    margin: 59px 0px;
    padding: 140px;
    font-size: 20px;
}

.padding-25px {
    padding-top: 25px;
}

.btn-design {
        width: 83px;
    height: 41px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
    margin: 7px 0 0 170px;
}

.exam-page-design input {
    height: 42px;
}

.exam-page-design-1 {
    background-image: url(images/background\ image.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 250px;
    padding-top: 16px;
    padding-left: 140px;
    color: #f0ff80;
}


/* study-design */

.study-design {
    margin-top: 50px;
    text-decoration: underline dotted;
}

.study-design-1 li {
    padding-top: 15px;
    font-size: 20px;
}

.study-design-2 {
    background: #68f9a8a8;
    height: 215px;
    padding: 30px;
    margin-top: 10px;
}

.colordesign-1 {
    color: red;
}

.colordesign-2 {
    color: blue;
}

.colordesign-3 {
    color: #560b0b;
}

.colordesign-4 {
    color: yellow;
}

.colordesign-5 {
    color: #6b0374;
}

.colordesign-6 {
    color: #ff00d0;
}

.colordesign-7 {
    color: black;
}

.colordesign-8 {
    color: #ff7300;
}

.colordesign-9 {
    color: #0b7287;
}
.footer-style {
    margin-top: 50px;
}

/* ONLINE BILLING SECTION */

.Online-Billing-design {
    margin: 59px 0px;
    padding: 140px;
    font-size: 20px;
}

.Online-Billing-design input {
    height: 42px;
}

.Online-Billing-design-1 {
    background-image: url(images/COMPUTER\ IMAGE.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 250px;
    padding-top: 16px;
    padding-left: 140px;
    color: #00ff8c;
}

.btn-st {
    border: 1px solid #ff0000;
}
 

/* COURSES */

.courses-de {
    margin-top: 10px;
}

.courses-de h1 {
    text-decoration: underline dotted brown;
    font-style: italic;
}








/* HOME */

.franc-de {
    margin-top: 40px;
    margin-bottom: 40px;
}

.home-de {
    overflow: hidden;
    place-items: center;
}

.home-de a {
    font: 700 30px consolas;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    padding: 20px 60px;
    position: relative;
    overflow: hidden !important;
    border-radius: 5px;
    transition: 0.2s;
	transform: scale(2);
}

.home-de a span {
    position: relative;
    z-index: 0;
    color: #fff;
}

.home-de a .liquid {
    position: absolute;
    top: -60px;
    left: 0;
    width: 100%;
    height: 200px;
    background: #7293ff;
    box-shadow: inset 0 0 50px rgba(0, 0, 0, 0.7);
    z-index: -1;
    transition: 0.6s;
}

.home-de a .liquid::after,
.home-de a .liquid::before {
    position: absolute;
    content: "";
    width: 200%;
    height: 200%;
    top: 0;
    left: 0;
    transform: translate(-25%, -75%);
}

.home-de a .liquid::after {
    border-radius: 45%;
    background: rgba(20, 20, 20, 1);
    box-shadow: 0 0 10px 5px #7293ff, inset 0 0 5px #7293ff;
    animation: animate 5s linear infinite;
    opacity: 0.8;
}

.home-de a .liquid::before {
    border-radius: 40%;
    box-shadow: 0 0 10px rgba(26, 26, 26, 0.5),
        inset 0 0 5px rgba(26, 26, 26, 0.5);
    background: rgba(26, 26, 26, 0.5);

    animation: animate 7s linear infinite;
}

@keyframes animate {
    0% {
        transform: translate(-25%, -75%) rotate(0);
    }
    100% {
        transform: translate(-25%, -75%) rotate(360deg);
    }
}
.home-de a:hover .liquid {
    top: -120px;
}

.home-de a:hover {
    box-shadow: 0 0 5px #7293ff, inset 0 0 5px #7293ff;
    transition-delay: 0.2s;
}

.franc-desi{
    display:block !important;
    text-align: center;
}

.home-banner-de {
    background: #002654;
    padding: 14px;
}

.lerning-cen {
    margin-top: 20px;
}

.lerning-cen h1 {
    margin-bottom: 20px;
}

/* home animation code */
    :root {
  --d: 700ms;
  --e: cubic-bezier(0.19, 1, 0.22, 1);
  --font-sans: "Rubik", sans-serif;
  --font-serif: "Cardo", serif;
}
.page-content {
  display: grid;
  grid-gap: 1rem;
  padding: 1rem;
  max-width: 1050px;
  margin: 0 auto;
  font-family: var(--font-sans);
}

  .page-content {
    grid-template-columns: repeat(4, 1fr);
  }

  .d_card {
  position: relative;
  display: -webkit-box;
  display: flex;
  -webkit-box-align: end;
  align-items: flex-end;
  overflow: hidden;
  padding: 1rem;
  width: 100%;
  text-align: center;
  color: whitesmoke;
  background-color: whitesmoke;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1), 0 2px 2px rgba(0, 0, 0, 0.1),
    0 4px 4px rgba(0, 0, 0, 0.1), 0 8px 8px rgba(0, 0, 0, 0.1),
    0 16px 16px rgba(0, 0, 0, 0.1);
  border-radius: 15px;
}

.d_card {
    height: 350px;
  }
  .d_card:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 110%;
  background-size: cover;
  background-position: 0 0;
  -webkit-transition: -webkit-transform calc(var(--d) * 1.5) var(--e);
  transition: -webkit-transform calc(var(--d) * 1.5) var(--e);
  transition: transform calc(var(--d) * 1.5) var(--e);
  transition: transform calc(var(--d) * 1.5) var(--e),
    -webkit-transform calc(var(--d) * 1.5) var(--e);
  pointer-events: none;
}

.d_card:after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 200%;
  pointer-events: none;
  background-image: -webkit-gradient(
    linear,
    left top,
    left bottom,
    from(rgba(0, 0, 0, 0)),
    color-stop(11.7%, rgba(0, 0, 0, 0.009)),
    color-stop(22.1%, rgba(0, 0, 0, 0.034)),
    color-stop(31.2%, rgba(0, 0, 0, 0.072)),
    color-stop(39.4%, rgba(0, 0, 0, 0.123)),
    color-stop(46.6%, rgba(0, 0, 0, 0.182)),
    color-stop(53.1%, rgba(0, 0, 0, 0.249)),
    color-stop(58.9%, rgba(0, 0, 0, 0.32)),
    color-stop(64.3%, rgba(0, 0, 0, 0.394)),
    color-stop(69.3%, rgba(0, 0, 0, 0.468)),
    color-stop(74.1%, rgba(0, 0, 0, 0.54)),
    color-stop(78.8%, rgba(0, 0, 0, 0.607)),
    color-stop(83.6%, rgba(0, 0, 0, 0.668)),
    color-stop(88.7%, rgba(0, 0, 0, 0.721)),
    color-stop(94.1%, rgba(0, 0, 0, 0.762)),
    to(rgba(0, 0, 0, 0.79))
  );
  background-image: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 0.009) 11.7%,
    rgba(0, 0, 0, 0.034) 22.1%,
    rgba(0, 0, 0, 0.072) 31.2%,
    rgba(0, 0, 0, 0.123) 39.4%,
    rgba(0, 0, 0, 0.182) 46.6%,
    rgba(0, 0, 0, 0.249) 53.1%,
    rgba(0, 0, 0, 0.32) 58.9%,
    rgba(0, 0, 0, 0.394) 64.3%,
    rgba(0, 0, 0, 0.468) 69.3%,
    rgba(0, 0, 0, 0.54) 74.1%,
    rgba(0, 0, 0, 0.607) 78.8%,
    rgba(0, 0, 0, 0.668) 83.6%,
    rgba(0, 0, 0, 0.721) 88.7%,
    rgba(0, 0, 0, 0.762) 94.1%,
    rgba(0, 0, 0, 0.79) 100%
  );
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  -webkit-transition: -webkit-transform calc(var(--d) * 2) var(--e);
  transition: -webkit-transform calc(var(--d) * 2) var(--e);
  transition: transform calc(var(--d) * 2) var(--e);
  transition: transform calc(var(--d) * 2) var(--e),
    -webkit-transform calc(var(--d) * 2) var(--e);
}

.d_card:nth-child(1):before {
  background-image: url(images/stylish/image\ 1.jpg);
}

.d_card:nth-child(2):before {
  background-image: url(images/stylish/image\ 2.jpg);
}

.d_card:nth-child(3):before {
  background-image: url(images/stylish/image\ 3.jpg);
}

.d_card:nth-child(4):before {
  background-image: url(images/stylish/image\ 4.jpg);
}

.content {
  position: relative;
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  -webkit-box-align: center;
  align-items: center;
  width: 100%;
  padding: 1rem;
  -webkit-transition: -webkit-transform var(--d) var(--e);
  transition: -webkit-transform var(--d) var(--e);
  transition: transform var(--d) var(--e);
  transition: transform var(--d) var(--e), -webkit-transform var(--d) var(--e);
  z-index: 1;
}

.content > * + * {
  margin-top: 1rem;
}

.heading {
  font-size: 1.3rem;
  font-weight: bold;
  line-height: 1.2;
}

.data-content {
  font-family: var(--font-serif);
  font-size: 1.125rem;
  font-style: italic;
  line-height: 1.35;
}

  .d_card:after {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }

  .content {
    -webkit-transform: translateY(calc(100% - 4.5rem));
    transform: translateY(calc(100% - 4.5rem));
  }

  .content > *:not(.heading) {
    opacity: 0;
    -webkit-transform: translateY(1rem);
    transform: translateY(1rem);
    -webkit-transition: opacity var(--d) var(--e),
      -webkit-transform var(--d) var(--e);
    transition: opacity var(--d) var(--e), -webkit-transform var(--d) var(--e);
    transition: transform var(--d) var(--e), opacity var(--d) var(--e);
    transition: transform var(--d) var(--e), opacity var(--d) var(--e),
      -webkit-transform var(--d) var(--e);
  }

  .d_card:hover,
  .d_card:focus-within {
    -webkit-box-align: center;
    align-items: center;
  }

  .d_card:hover:before,
  .d_card:focus-within:before {
    -webkit-transform: translateY(-4%);
    transform: translateY(-4%);
  }

  .d_card:hover:after,
  .d_card:focus-within:after {
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
  }

  .d_card:hover .content,
  .d_card:focus-within .content {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }

  .d_card:hover .content > *:not(.heading),
  .d_card:focus-within .content > *:not(.heading) {
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
    -webkit-transition-delay: calc(var(--d) / 8);
    transition-delay: calc(var(--d) / 8);
  }

  .d_card:focus-within:before,
  .d_card:focus-within:after,
  .d_card:focus-within .content,
  .d_card:focus-within .content > *:not(.heading) {
    -webkit-transition-duration: 0s;
    transition-duration: 0s;
  }

.text-defination-5{
    text-align:center;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    margin-top:30px;
    margin-bottom:10px;
}

/* Footer */

.footer-home {
    background-color: #000000eb;
    color: white;
    padding: 60px;
    margin-top: 65px;
    border-top: 2px solid red;
}

.footer-home ul{
    text-align: center;
}

.footer-home ul li {
    padding-top: 18px;
}

.footer-home ul li a:hover {
    color: #09e8acdf;
    transition: 0.5s;
}

.font-25 {
    font-size: 25px;
}

.block {
    display: block;
}

.block a {
    background-color: #ffff00e7;
    color: black;
    letter-spacing: 2px;
    padding: 14px;
    border-radius: 22px;
}

.block a:hover {
    text-decoration: underline  red;
    transition: 0.5s;
}

.text-center img{
    max-width: 80px;
}

/* gallery  */

.margin-25 {
    margin-top: 25px;
}

.margin-design img {
    border-radius: 25px;
}

.st {
    border-radius: 25px;
}

/* design-sliding-letter */

.animate-design {
    max-width: 392px;
    overflow: hidden;
    position: relative;
    min-height: 3rem;
    margin-left: 11px;
}

.margin-design p {
    font-size: 20px;
    font-weight: bold;
}

.example-right {
    color: red;
}

.example-left {
  white-space: nowrap;
  position: absolute;
  text-transform: uppercase;
}

.example-left {
  -webkit-animation: mymove 8s linear infinite; /* Safari 4.0 - 8.0 */
  white-space: nowrap;
  animation: mymove 8s linear infinite alternate;
}

/* Safari 4.0 - 8.0 */
@-webkit-keyframes mymove {
  from {
    left: 0;
  }
  to {
    left: -140px;
  }
}

@keyframes mymove {
  from {
    left: 0;
  }
  to {
    left: -140px;
  }
}


.example-right {
  white-space: nowrap;
  position: absolute;
  opacity: .4;
  text-transform: uppercase;
}

.example-right {
  -webkit-animation: urmove 8s linear infinite; /* Safari 4.0 - 8.0 */
  white-space: nowrap;
  animation: urmove 8s linear infinite alternate;
}

/* Safari 4.0 - 8.0 */
@keyframes urmove {
  from {
    right: 0;
  }
  to {
    right: -140px;
  }
}




@keyframes early 
{ from { opacity:1; } to { opacity:0; } }

.early {
    animation:fadeIn ease-in 1; /* call our keyframe named fadeIn, use animation ease-in and repeat it only 1 time */

    animation-fill-mode:forwards;  /* this makes sure that after animation is done we remain at the last keyframe value (opacity: 1)*/

    animation-duration:1s;
    animation-delay: 1.5s
}

